version: '0.1.{build}'

image: Visual Studio 2017

branches:
    only:
    - master
    - appveyor-script
  
install:
    ps: |
        # Download nuget.exe >= 3.4.4 as earlier versions produce corrupted native .nupkg files.
        
        $nugetPath = "$($env:USERPROFILE)\nuget.exe"
        
        (New-Object Net.WebClient).DownloadFile('https://dist.nuget.org/win-x86-commandline/latest/nuget.exe', $nugetPath)
        
        # Make the nuget.exe folder come first in the path, so it gets picked up before anything else.
        
        $env:Path = $env:USERPROFILE + ";" + $env:Path
    
        # Download the CoApp tools.
        $msiPath = "$($env:USERPROFILE)\CoApp.Tools.Powershell.msi"
        
        (New-Object Net.WebClient).DownloadFile('http://coapp.org/files/CoApp.Tools.Powershell.msi', $msiPath)
    
        # Install the CoApp tools from the downloaded .msi.
        Start-Process -FilePath msiexec -ArgumentList /i, $msiPath, /quiet -Wait
        
        # Make the tools available for later PS scripts to use.
        $env:PSModulePath = $env:PSModulePath + ';C:\Program Files (x86)\Outercurve Foundation\Modules'

        Import-Module CoApp

build_script:
    - ps: |
          cd 3.1.3
          & ".\create_nuget.ps1"

artifacts:
     - path: 3.1.3\*.nupkg
       name: NuGets
